#
# Conditional build:
%bcond_without	apidocs	 	# gtk-doc API documentation
%bcond_without	static_libs	# static library

Summary:	Open Text Summarizer
Summary(pl.UTF-8):	Otwarte narzędzie do streszczania tekstu
Name:		ots
Version:	0.5.0
Release:	4
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libots/%{name}-%{version}.tar.gz
# Source0-md5:	1e140a4bf9d720b4339a5c2bdf4976e8
Patch0:		dic.patch
Patch1:		gtkdoc.patch
URL:		http://libots.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.5
Requires:	glib2 >= 1:2.12.0
Requires:	libxml2 >= 1:2.6.26
Requires:	popt >= 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The open text summarizer is an open source tool for summarizing texts.
The program reads a text and decides which sentences are important and
which are not.

The program can either print the summarized text in text format or in
HTML form where the important sentences are highlighted in red. The
program is multi lingual and work with UTF-8 code; at the moment only
English and Hebrew are supported.

%description -l pl.UTF-8
OTS (Open Text Summarizer) to wolnodostępne narzędzie do streszczania
tekstów. Program czyta tekst i decyduje, które zdania są ważne, a
które nie.

Program może wypisać streszczenie w formacie tekstowym lub w postaci
HTML, gdzie ważne zdania są oznaczone na czerwono. Program jest
wielojęzyczny i działa z kodem UTF-8; aktualnie obsługiwane są tylko
angielski i hebrajski.

%package devel
Summary:	Header files for ots library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ots
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files for ots library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ots.

%package static
Summary:	Static ots library
Summary(pl.UTF-8):	Statyczna biblioteka ots
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ots library.

%description static -l pl.UTF-8
Statyczna biblioteka ots.

%package apidocs
Summary:	API documentation for ots library
Summary(pl.UTF-8):	Dokumentacja API biblioteki ots
Group:		Documentation
Requires:	gtk-doc-common
Conflicts:	ots-devel < 0.5.0-2
BuildArch:	noarch

%description apidocs
API documentation for ots library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ots.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_apidocs:--enable-gtk-doc} \
	%{!?with_static_libs:--disable-static} \
	--with-html-dir=%{_gtkdocdir}/libots

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libots-1.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/ots
%attr(755,root,root) %{_libdir}/libots-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libots-1.so.0
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libots-1.so
%{_includedir}/libots-1
%{_pkgconfigdir}/libots-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libots-1.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libots
%endif
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ots.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 45597af
- Release 4 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> b4ba6a4
- Fix applying patches.

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> bd5a802
- unconditional noarch subpackages

* Sun Jun 26 2016 Elan Ruusamäe <glen@delfi.ee> 77459c4
- noarch apidocs

* Sun May 15 2016 Jakub Bogusz <qboosh@pld-linux.org> a0dcdda
- replaced gtkdoc patch by some fixes, build gtk-doc documentation
- more verbose files, drop .la file
- release 2

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> 5894880
- disabled parallel build

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> eea2b41
- up to 0.5.0
- docs are not generated

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a8c2859
- already in sources

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7200000
- unused

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fd17cff
- automake failed without commenting include
- gtk doc build failed either

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 14e7633
- repeated em.xml

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2112ae3
- release 3

* Thu Dec 13 2007 Szymon Siwek <sls@pld-linux.org> 4021210
- __make -j1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cc6faad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 246cb42
- converted to UTF-8

* Thu Jul 13 2006 freetz <freetz@pld-linux.org> 17e7c47
- rel.2, updated deps, --as-needed for LDFLAGS

* Sat Feb 04 2006 freetz <freetz@pld-linux.org> 5d17464
- gcc4 fix

* Sat Feb 04 2006 freetz <freetz@pld-linux.org> ef4836e
- gcc4 fix added

* Wed Mar 24 2004 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 77caaa2
- refresh config.sub

* Fri Mar 12 2004 grzegol <grzegol@pld-linux.org> 5967fa7
- fix docs building

